Mailinglist Archive: opensuse-buildservice (42 mails)

< Previous Next >
Re: [opensuse-buildservice] expansion error ...
  • From: Stefan Gerlach <gerlach@xxxxxxxxxxxxx>
  • Date: Thu, 13 Apr 2006 10:56:50 +0200
  • Message-id: <200604131057.01282.gerlach@xxxxxxxxxxxxx>
Hi,

> I have added
> also some mappings for the Fedora distributions, were the package names are
> different. The mappings are:
>
> Substitute: db db4
> Substitute: db-devel db4-devel
> Substitute: te_latex tetex-latex
> Substitute: xorg-x11-devel xorg-x11-proto-devel xorg-x11-trans-devel
> Substitute: qt3 qt
> Substitute: qt3-devel qt-devel
> Substitute: kdelibs3 kdelibs
> Substitute: kdelibs3-devel kdelibs-devel
> Substitute: kdegames3 kdegames
> Substitute: openldap2 openldap
> Substitute: openldap2-devel openldap-devel
> Substitute: xorg-x11-Mesa-devel mesa-libGL-devel

I'm not very happy with this. This list may become very long.
Maybe it's better to use different BuildRequires for the different
distributions.
Anyway here are some mappings that i have found :

Substitute: qt3 qt qt3-common
Substitute: qt3-devel qt-devel libqt3-devel
Substitute: kdelibs3-devel kdelibs-devel libkdecore4-devel
Substitute: kdelibs3 kdelibs kdelibs-common
Substitute: ImageMagick-Magick++-devel ImageMagick-c++-devel
Substitute: ImageMagick-Magick++ ImageMagick-c++
Substitute: audiofile-devel libaudiofile0-devel
Substitute: gsl libgsl0
Substitute: gsl-devel libgsl0-devel
Substitute: audiofile libaudiofile0

> The Mandriva distro does still miss a number of -devel packages, which is
> causing the expansion error atm.

Also SUSE has no gsl-devel package, but Fedora needs it.

Greetings,
Stefan

< Previous Next >
Follow Ups
References